%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define repodir %{_javadir}/repository.jboss.com/org/jboss/ws/%{name}/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define reltag GA_redhat_2
%define namedreltag GA-redhat-2
%define namedversion %{version}.%{namedreltag}

%define section free

%define maven_version 1.0.0.GA-redhat-2

Name:           jbossws-api
Version:        1.0.0
Release:        3.%{reltag}%{?dist}.3
Summary:        JBoss Web Services - API

Group:          Development/Libraries

%if %with mead
Source100: org.jboss.ws-jbossws-api-1.0.0.GA-redhat-2-sources.zip
Source101: org.jboss.ws-jbossws-api-1.0.0.GA-redhat-2-patches.zip
Source102: jbossws-api-1.0.0.GA-redhat-2-javadoc.jar
Source103: jbossws-api-1.0.0.GA-redhat-2.pom
Source104: jbossws-api-1.0.0.GA-redhat-2.jar
Source105: jbossws-api-1.0.0.GA-redhat-2-sources.jar
%endif

License:        LGPLv2+
URL:            http://fisheye.jboss.com/viewrep/JBossWS/api/tags/jbossws-api-1.0.0.Beta2
# svn export http://anonsvn.jboss.org/repos/jbossws/api/tags/jbossws-api-1.0.0.Beta3
# tar -jcf jbossws-api-1.0.0.Beta3.tar.bz2 jbossws-api-1.0.0.Beta3/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires:  unzip

Requires: jpackage-utils
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 

Requires: jboss-logging

%description
JBossWS API

%package javadoc
Group:          Documentation

Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep

%build

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
#%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{namedversion}||g"`; done)

%add_to_maven_depmap org.jboss.ws %{name} %{namedversion} JPP %{name}

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
ln -s %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
#%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
#%{_javadir}*/%{name}-javadoc.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}


%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-3.GA_redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Paul Gier <pgier@redhat.com> - 1.0.0-2.GA_redhat_2.3
- Remove bom from pom patch because it is inherited from parent pom

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-2.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-2.GA_redhat_1
- Remove javadocs from main package

* Thu Mar 15 2012 Fernando Nasser <fnasser@redhat.com> 1.0.0-1.GA_redhat_1
- Rebuild for java-signed

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> 1.0.0-0.12.GA_redhat_1
- Change jar install path
- Use new wrapper

* Wed Jan 04 2012 Lin Gao <lgao@redhat.com> 1.0.0-0.11.GA_redhat_1
- Upgrade to 1.0.0.GA

* Fri Nov 25 2011 Lin Gao <lgao@redhat.com> 1.0.0-0.10.CR1_redhat_1
- Upgrade to 1.0.0.CR1

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.9.Beta2_redhat_1
- Fix name pom in files section

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.8.Beta2_redhat_1
- Fix name of installed pom

* Fri Nov 11 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.7.Beta2_redhat_1
- Fix options in _jarsign_opts
- Correct directory of pom
- Fix depmap entries

* Thu Nov 10 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.6.Beta2_redhat_1
- RPM build against mead build

* Mon Nov 07 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.5.Beta2_redhat_1
- RPM build 

* Fri Nov 04 2011 Lin Gao <lgao@redhat.com> 1.0.0-0.4.Beta3_redhat_1
- upgrade to 1.0.0.Beta3

* Fri Oct 28 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.3.Beta2_redhat_1
- RPM build 
- Cleanup

* Mon Aug 29 2011 Lin Gao <lgao@redhat.com> 1.0.0-0.2.Beta2
- upgrade to 1.0.0.Beta2
- wolf build

* Thu Jun 2 2011 Hui Wang <huwang@redhat.com> 1.0.0-0.1.Alpha2
- First release
